# Name

HPL_pdupdateNT Broadcast a panel and update the trailing submatrix.

# Synopsis

`#include "hpl.h"`
`void` `HPL_pdupdateNT(` `HPL_T_panel *` `PBCST`, `int *` `IFLAG`, `HPL_T_panel *` `PANEL`, `const int` `NN` `);`

# Description

HPL_pdupdateNT broadcast - forward the panel PBCST and simultaneously applies the row interchanges and updates part of the trailing (using the panel PANEL) submatrix.

# Arguments

    PBCST   (local input/output)          HPL_T_panel *
            On entry,  PBCST  points to the data structure containing the
            panel (to be broadcast) information.

    IFLAG   (local output)                int *
            On exit,  IFLAG  indicates  whether or not  the broadcast has
            been completed when PBCST is not NULL on entry. In that case,
            IFLAG is left unchanged.

    PANEL   (local input/output)          HPL_T_panel *
            On entry,  PANEL  points to the data structure containing the
            panel (to be updated) information.

    NN      (local input)                 const int
            On entry, NN specifies  the  local  number  of columns of the
            trailing  submatrix  to be updated  starting  at the  current
            position. NN must be at least zero.

# See Also

HPL_pdgesv, HPL_pdgesv0, HPL_pdgesvK1, HPL_pdgesvK2, HPL_pdlaswp00T, HPL_pdlaswp01T.